from django.shortcuts import render
from .models import Staff
from django.db.transaction import get_connection

def staff_list(request):
    # DjangoをDEBUG=Falseで動作させつつSQLログを出すため
    get_connection().force_debug_cursor = True

    staffs = (
        Staff.objects.order_by("last_login")
        .only("pk", "name"))
    return render(
        request, "index.html",
        context={"staffs": staffs})

def staff_detail(request, id):
    pass
