from django import template
from ..models import Staff

register = template.Library()

@register.filter
def staff_status(obj: Staff):
    return (
        f"最終ログイン:{obj.last_login:%Y-%m-%d}"
    )

def staff_status_dict(obj: dict):
    return (
        f"最終ログイン:{obj['last_login']:%Y-%m-%d}"
    )
